# GET /api/v1/vendors/{vendor_id}/contacts/{contact_id}

> Get vendor contact

- **Tag:** vendors
- **Operation ID:** `get_contact_api_v1_vendors__vendor_id__contacts__contact_id__get`

## Description

Retrieve a specific vendor contact.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `vendor_id` (path, string, required)
- `contact_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `EntityContactResponse`

- `id` (string · required) — Contact UUID.
- `entity_type` (string · required) — Type of parent entity.
- `entity_id` (string · required) — Parent entity UUID.
- `name` (string · required) — Contact name.
- `email` (string) — Contact email.
- `phone` (string) — Contact phone.
- `role` (string) — Contact role.
- `is_primary` (boolean) — Whether this is the primary contact.
- `notes` (string) — Notes about this contact.
- `created_at` (string · date-time · required) — Creation timestamp.
- `updated_at` (string · date-time · required) — Last update timestamp.

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/vendors/{vendor_id}/contacts/{contact_id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/vendors/{vendor_id}/contacts/{contact_id}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/vendors/{vendor_id}/contacts/{contact_id}", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/vendors/get-contact
- OpenAPI slice: https://www.ondayzero.com/docs/reference/vendors/get-contact/openapi.json
- Other endpoints in **vendors**: https://www.ondayzero.com/docs/reference/vendors
